#property copyright "Scriptong"
#property link      "http://advancetools.net"
#property version   "1.00"
#property strict

struct TickStruct                                                                                  //       
{
   datetime time;
   double   bid;
   double   ask;   
};


//+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
//| Script program start function                                                                                                                                                                     |
//+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
void OnStart()
{
   int hTicksFile = FileOpen(Symbol() + ".tks", FILE_BIN | FILE_READ | FILE_SHARE_READ);
   if (hTicksFile < 1)
   {
      Alert(WindowExpertName(), ":     (", GetLastError(), ").");
      return;
   }

   uint totalTicks = 0, repeatTicks = 0;
   TickStruct tickPrev = {0, 0, 0}, tickCur = {0, 0, 0};
   uint size = sizeof(TickStruct);
   while (!FileIsEnding(hTicksFile))
   {
      if (FileReadStruct(hTicksFile, tickCur) != size)
      {
         Alert(WindowExpertName(), ":     (", GetLastError(), ").");
         FileClose(hTicksFile);
         return;
      }
      
      totalTicks++;
      if (tickCur.bid == tickPrev.bid && tickCur.ask == tickPrev.ask)
      {
         Print(" . Bid = ", tickCur.bid, ", Ask = ", tickCur.ask, ",   = ", TimeToString(tickCur.time, TIME_DATE | TIME_SECONDS), 
               ",   = ", TimeToString(tickPrev.time, TIME_DATE | TIME_SECONDS));
         repeatTicks++;
      }
         
      tickPrev = tickCur;
   }
   
   
   FileClose(hTicksFile);
   Alert(WindowExpertName(), ":   = ", totalTicks, ",   = ", repeatTicks);
}

